Virtual Accounts
Create Single Virtual Account

Dedicated Virtual Accounts

Create and manage unique payment accounts for your customers. Each customer gets a dedicated bank account number that routes payments directly to your BudPay wallet.

🇳🇬

Nigeria Only: This feature is only available to businesses in Nigeria.

Supported Banks: Wema Bank, VedantMFB, and Coronation Bank.


Create Dedicated Virtual Account

Assign a dedicated virtual account to a customer.

Endpoint: POST https://api.budpay.com/api/v2/dedicated_virtual_account

Parameters

This section details the header information required for creating a dedicated virtual account.

Field NameDescription
URLhttps://api.budpay.com/api/v2/dedicated_virtual_account
MethodPOST
AuthorizationBearer YOUR_SECRET_KEY (Replace with your actual BudPay secret key)
Content-Typeapplication/json
Request Parameters
ParameterTypeRequiredDescription
customerStringYesCustomer code (e.g., CUS_3hqlcizuoffygev)

Sample Request

Endpoint: POST https://api.budpay.com/api/v2/dedicated_virtual_account

1curl -X POST 'https://api.budpay.com/api/v2/dedicated_virtual_account' \2  -H 'Content-Type: application/json' \3  -H 'Authorization: Bearer YOUR_SECRET_KEY' \4  -d '{5  "customer": "CUS_3hqlcizuoffygev"6}'
{  "status": true,  "message": "NUBAN successfully created",  "data": {    "bank": {      "name": "Wema Bank",      "id": 1,      "bank_code": "000017",      "prefix": "802"    },    "account_name": "Samji Ventures / Tolu Oye",    "account_number": 72354838393,    "currency": "NGN",    "status": null,    "reference": "xq3tvdirdamgorc",    "assignment": "reserved",    "id": 47,    "created_at": "2022-03-12T05:03:18.000000Z",    "updated_at": "2022-03-12T05:03:18.000000Z",    "customer": {      "id": 4,      "first_name": "Tolu",      "last_name": "Oye",      "email": "toluxsys@yahoo.ca",      "customer_code": "CUS_ctiv4kdyniqtjqe",      "phone": "07036218209"    }  }}

Response Fields
FieldDescription
account_nameGenerated account name (Business Name / Customer Name)
account_numberDedicated NUBAN account number
bank.nameBank providing the virtual account
bank.bank_codeBank's CBN code
currencyAccount currency (NGN)
referenceUnique reference for the account
customerCustomer details attached to the account